# VTA Container Registry

This repository serves as a placeholder for VTA-hosted Docker containers.

Formerly, the containers were hosted on Docker Hub, but due to a licensing model change the Docker Hub repository is being deprecated as of **April 13th 2023**.

Below is a mapping of the former image path, as well as the accompanying new ones. The image paths are a drop-in replacement for the former ones, where no difference in workflow should be apparent. Please update all CI/CD pipelines and documentation are updated to reflect these new image paths ASAP, to ensure minimal disruptions.

| **Name** | Old Path | New Path | Example Usage |
| ------ | ------ | ------ | ------ |
| OpenStack Client | usacys/openstack-client:latest | registry.cybbh.space/vta/containers/openstack-client:latest | `docker run -it registry.cybbh.space/vta/containers/openstack-client:latest /bin/bash` | 
| Gitlab CI | usacys/gitlab-ci:latest | registry.cybbh.space/vta/containers/gitlab-ci:latest | | 
| Ansible Client | usacys/ansible-client:v1.0 | registry.cybbh.space/vta/containers/ansible-client:v1.0 | |
| Ansible Client (20.04) | usacys/ansible-client-2004:latest | registry.cybbh.space/vta/containers/ansible-client-2004:latest | |

For a complete and up-to-date listing of VTA-hosted Docker containers check [here](https://git.cybbh.space/vta/containers/container_registry).
